function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { renderColumnsTitle, renderCell } from './columnRender';
import { BaseSkeleton as Skeleton } from '@teamix/pro-skeleton';
/**
 * ProColumn => Column
 */

export default function genProColumnToColumn(columns,
/** 是否渲染骨架屏 */
showSkeleton) {
  return columns.map(function (columnProps) {
    if (showSkeleton) {
      return _objectSpread(_objectSpread({}, columnProps), {}, {
        filters: undefined,
        sortable: false,
        title: /*#__PURE__*/React.createElement(Skeleton.Table.TH, null),
        cell: function cell() {
          return /*#__PURE__*/React.createElement(Skeleton.Table.TD, null);
        }
      });
    }

    return _objectSpread(_objectSpread({
      // 金钱样式默认右对齐
      align: columnProps.valueType === 'money' ? 'right' : 'left'
    }, columnProps), {}, {
      title: renderColumnsTitle(columnProps),
      cell: function cell(value, index, record) {
        return renderCell(value, columnProps, index, record);
      }
    });
  });
}